Create site scheduled job
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/scheduled-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'command' => 'echo $(whoami)',
'user' => 'root',
'frequency' => 'hourly',
'name' => 'My scheduled job',
'cron' => '0 * * * *',
'heartbeat' => true,
'grace_period' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request POST \
--url https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/scheduled-jobs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"command": "echo $(whoami)",
"user": "root",
"frequency": "hourly",
"name": "My scheduled job",
"cron": "0 * * * *",
"heartbeat": true,
"grace_period": 5
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
command: 'echo $(whoami)',
user: 'root',
frequency: 'hourly',
name: 'My scheduled job',
cron: '0 * * * *',
heartbeat: true,
grace_period: 5
})
};
fetch('https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/scheduled-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/scheduled-jobs"
payload := strings.NewReader("{\n \"command\": \"echo $(whoami)\",\n \"user\": \"root\",\n \"frequency\": \"hourly\",\n \"name\": \"My scheduled job\",\n \"cron\": \"0 * * * *\",\n \"heartbeat\": true,\n \"grace_period\": 5\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "<string>",
"type": "scheduledJobs",
"links": {
"self": {
"href": "<string>",
"rel": "<string>",
"describedby": "<string>",
"title": "<string>",
"type": "<string>",
"hreflang": "<string>",
"meta": {}
}
},
"attributes": {
"name": "<string>",
"command": "<string>",
"status": "<string>",
"user": "<string>",
"frequency": "<string>",
"cron": "<string>",
"next_run_time": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Scheduled Jobs
Create site scheduled job
Create a specific scheduled job for the site.
Processing mode: async
POST
/
orgs
/
{organization}
/
servers
/
{server}
/
sites
/
{site}
/
scheduled-jobs
Create site scheduled job
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://forge.laravel.com/api/orgs/{organization}/servers/{server}/sites/{site}/scheduled-jobs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'command' => 'echo $(whoami)',
'user' => 'root',
'frequency' => 'hourly',
'name' => 'My scheduled job',
'cron' => '0 * * * *',
'heartbeat' => true,
'grace_period' => 5
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The organization slug
The server ID
The site ID
Body
application/json
The command to run.
Example:
"echo $(whoami)"
The user to run the scheduled job as.
Example:
"root"
The frequency of the scheduled job.
Available options:
minutely, hourly, nightly, weekly, monthly, reboot, custom Example:
"hourly"
The name of the command.
Example:
"My scheduled job"
The cron expression to use for the scheduled job. Only used if frequency is set to Custom.
Example:
"0 * * * *"
Whether a heartbeat should be created for the scheduled job.
Example:
true
The grace period, in minutes, for the heartbeat.
Available options:
1, 2, 5, 10, 30, 60 Example:
5
Response
JobResource
Show child attributes
Show child attributes
Was this page helpful?